# Changelog

All notable changes to this project will be documented in this file.

This project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).


## 1.5.0 (Thu, 27 May 2021)

- Fixed issue in status code conversion.


## 1.4.0 (Tue, 15 Sept 2020)

- Added histogram support.
- Fixed Ruby 2.7.0 warning messages.


## 1.3.0 (Wed, 18 Mar 2020)

- Added custom instrumentation via annotate method.


## 1.2.0 (Tue, 21 Jan 2020)

- Updated Sidekiq operation as background transaction.


## 1.1.0 (Thu, 5 Dec 2019)

- New layer for Ruby is added to represent time spent in Application.
- Handling of database calls min, average is fixed.
- Error stacktraces are only captured for in app code, the libraries code is removed.


## 1.0.2 (Thu, 21 Nov 2019)

- Changed Linux memory size to bytes.
- Set type to agent name if framework is not deducted.
- Code refactoring for checking existence of properties.


## 1.0.1 (Wed, 13 Nov 2019)

- Fixed Instrumenting classes only when there are defined.
- Handled worker thread while exiting.


## 1.0.0 (Tue, 29 Oct 2019)

- General availability release of the Ruby agent.

